<?xml version="1.0" encoding="UTF-8"?><TOTAPPROVE_NSTDA desc_thai="ใบปรับปรุงเวลาการทำงาน" desc_eng="Forgotten Swipe Card" editcheck="true" mainhelp="TOTAPPROVE_NSTDAHELP" referhelp="TOTAPPROVE_NSTDAHELP" mainkey="FSCARDID" wfactive="true" wfkey="RUNNO" security="MemployeeRsecurity" documentno="FSCARDID" fieldsystem="*" protype="table" deleteflag="true" config_field="MEMPLOYEE_CONFIG">
	<FIELD>
		<APPROVEID lang="A" encrypt="false" log="false" type="AutoNumber" table="TOTAPPROVE_NSTDA">
			<KEY>2</KEY>
			<WIDTH>15</WIDTH>
			<DESC_ENG>Approve OT ID</DESC_ENG>
			<DESC_THAI>เลขที่ใบอนุมัติทำ OT</DESC_THAI>
			<COMPONENT type="text">
				<READONLY>TRUE</READONLY>
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>เลขที่ใบอนุมัติทำ OT</ALT_THAI>
				<ALT_ENG>Approve OT ID</ALT_ENG>
			</COMPONENT>
		</APPROVEID>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<DISABLE>true</DISABLE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		</COMPANYID>
		<OTID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<DESC_ENG>OT ID</DESC_ENG>
			<DESC_THAI>รหัส OT</DESC_THAI>
			<COMPONENT type="text">
				<READONLY>TRUE</READONLY>
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>รหัส OT</ALT_THAI>
				<ALT_ENG>OT ID</ALT_ENG>
			</COMPONENT>
		</OTID>
		<OT1DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Date - 1</DESC_ENG>
			<DESC_THAI>วันที่ทำ OT - 1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				<!--ONKEYPRESS>setdis()</ONKEYPRESS-->
				<!--ONKEYUP>typeDate(this);</ONKEYUP-->
				<ALT_THAI>วันที่ทำ OT - 1</ALT_THAI>
				<ALT_ENG>OT Date - 1</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</OT1DATE>
		<OT2DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Date - 2</DESC_ENG>
			<DESC_THAI>วันที่ทำ OT - 2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				<!--ONKEYPRESS>setdis()</ONKEYPRESS-->
				<!--ONKEYUP>typeDate(this);</ONKEYUP-->
				<ALT_THAI>วันที่ทำ OT - 2</ALT_THAI>
				<ALT_ENG>OT Date - 2</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</OT2DATE>
		<OT3DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Date - 3</DESC_ENG>
			<DESC_THAI>วันที่ทำ OT - 3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				<!--ONKEYPRESS>setdis()</ONKEYPRESS-->
				<!--ONKEYUP>typeDate(this);</ONKEYUP-->
				<ALT_THAI>วันที่ทำ OT - 3</ALT_THAI>
				<ALT_ENG>OT Date - 3</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</OT3DATE>
		<OT4DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Date - 4</DESC_ENG>
			<DESC_THAI>วันที่ทำ OT - 4</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				<!--ONKEYPRESS>setdis()</ONKEYPRESS-->
				<!--ONKEYUP>typeDate(this);</ONKEYUP-->
				<ALT_THAI>วันที่ทำ OT - 4</ALT_THAI>
				<ALT_ENG>OT Date - 4</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</OT4DATE>
		<OT5DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Date - 5</DESC_ENG>
			<DESC_THAI>วันที่ทำ OT - 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				<!--ONKEYPRESS>setdis()</ONKEYPRESS-->
				<!--ONKEYUP>typeDate(this);</ONKEYUP-->
				<ALT_THAI>วันที่ทำ OT - 5</ALT_THAI>
				<ALT_ENG>OT Date - 5</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</OT5DATE>
		<OT6DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Date - 6</DESC_ENG>
			<DESC_THAI>วันที่ทำ OT - 6</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				<!--ONKEYPRESS>setdis()</ONKEYPRESS-->
				<!--ONKEYUP>typeDate(this);</ONKEYUP-->
				<ALT_THAI>วันที่ทำ OT - 6</ALT_THAI>
				<ALT_ENG>OT Date - 6</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</OT6DATE>
		<OT7DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Date - 7</DESC_ENG>
			<DESC_THAI>วันที่ทำ OT - 7</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				<!--ONKEYPRESS>setdis()</ONKEYPRESS-->
				<!--ONKEYUP>typeDate(this);</ONKEYUP-->
				<ALT_THAI>วันที่ทำ OT - 7</ALT_THAI>
				<ALT_ENG>OT Date - 7</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</OT7DATE>
		<OT8DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Date - 8</DESC_ENG>
			<DESC_THAI>วันที่ทำ OT - 8</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				<!--ONKEYPRESS>setdis()</ONKEYPRESS-->
				<!--ONKEYUP>typeDate(this);</ONKEYUP-->
				<ALT_THAI>วันที่ทำ OT - 8</ALT_THAI>
				<ALT_ENG>OT Date - 8</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</OT8DATE>
		<OT9DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Date - 9</DESC_ENG>
			<DESC_THAI>วันที่ทำ OT - 9</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<!--ONKEYPRESS>setdis()</ONKEYPRESS-->
				<!--ONKEYUP>typeDate(this);</ONKEYUP-->
				<ALT_THAI>วันที่ทำ OT - 9</ALT_THAI>
				<ALT_ENG>OT Date - 9</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</OT9DATE>
		<OT10DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Date - 10</DESC_ENG>
			<DESC_THAI>วันที่ทำ OT - 10</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				<!--ONKEYPRESS>setdis()</ONKEYPRESS-->
				<!--ONKEYUP>typeDate(this);</ONKEYUP-->
				<ALT_THAI>วันที่ทำ OT - 10</ALT_THAI>
				<ALT_ENG>OT Date - 10</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</OT10DATE>
		<OT1SHIFT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Shift 1</DESC_ENG>
			<DESC_THAI>รหัสกะ OT 1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสกะ OT 1</ALT_THAI>
				<ALT_ENG>OT Shift 1</ALT_ENG>
			</COMPONENT>
		</OT1SHIFT>
		<OT2SHIFT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Shift 2</DESC_ENG>
			<DESC_THAI>รหัสกะ OT 2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสกะ OT 2</ALT_THAI>
				<ALT_ENG>OT Shift 2</ALT_ENG>
			</COMPONENT>
		</OT2SHIFT>
		<OT3SHIFT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Shift 3</DESC_ENG>
			<DESC_THAI>รหัสกะ OT 3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสกะ OT 3</ALT_THAI>
				<ALT_ENG>OT Shift 3</ALT_ENG>
			</COMPONENT>
		</OT3SHIFT>
		<OT4SHIFT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Shift 4</DESC_ENG>
			<DESC_THAI>รหัสกะ OT 4</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสกะ OT 4</ALT_THAI>
				<ALT_ENG>OT Shift 4</ALT_ENG>
			</COMPONENT>
		</OT4SHIFT>
		<OT5SHIFT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Shift 5</DESC_ENG>
			<DESC_THAI>รหัสกะ OT 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสกะ OT 5</ALT_THAI>
				<ALT_ENG>OT Shift 5</ALT_ENG>
			</COMPONENT>
		</OT5SHIFT>
		<OT6SHIFT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Shift 6</DESC_ENG>
			<DESC_THAI>รหัสกะ OT 6</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสกะ OT 6</ALT_THAI>
				<ALT_ENG>OT Shift 6</ALT_ENG>
			</COMPONENT>
		</OT6SHIFT>
		<OT7SHIFT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Shift 7</DESC_ENG>
			<DESC_THAI>รหัสกะ OT 7</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสกะ OT 7</ALT_THAI>
				<ALT_ENG>OT Shift 7</ALT_ENG>
			</COMPONENT>
		</OT7SHIFT>
		<OT8SHIFT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Shift 8</DESC_ENG>
			<DESC_THAI>รหัสกะ OT 8</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสกะ OT 8</ALT_THAI>
				<ALT_ENG>OT Shift 8</ALT_ENG>
			</COMPONENT>
		</OT8SHIFT>
		<OT9SHIFT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Shift 9</DESC_ENG>
			<DESC_THAI>รหัสกะ OT 9</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสกะ OT 9</ALT_THAI>
				<ALT_ENG>OT Shift 9</ALT_ENG>
			</COMPONENT>
		</OT9SHIFT>
		<OT10SHIFT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>OT Shift 10</DESC_ENG>
			<DESC_THAI>รหัสกะ OT 10</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสกะ OT 10</ALT_THAI>
				<ALT_ENG>OT Shift 10</ALT_ENG>
			</COMPONENT>
		</OT10SHIFT>
		<OT1TIMEIN lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time In 1</DESC_ENG>
			<DESC_THAI>เวลาเข้า 1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาเข้า 1</ALT_THAI>
				<ALT_ENG>Time In 1</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT1TIMEIN>
		<OT2TIMEIN lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time In 2</DESC_ENG>
			<DESC_THAI>เวลาเข้า 2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาเข้า 2</ALT_THAI>
				<ALT_ENG>Time In 2</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT2TIMEIN>
		<OT3TIMEIN lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time In 3</DESC_ENG>
			<DESC_THAI>เวลาเข้า 3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาเข้า 3</ALT_THAI>
				<ALT_ENG>Time In 3</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT3TIMEIN>
		<OT4TIMEIN lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time In 4</DESC_ENG>
			<DESC_THAI>เวลาเข้า 4</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาเข้า 4</ALT_THAI>
				<ALT_ENG>Time In 4</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT4TIMEIN>
		<OT5TIMEIN lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time In 5</DESC_ENG>
			<DESC_THAI>เวลาเข้า 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาเข้า 5</ALT_THAI>
				<ALT_ENG>Time In 5</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT5TIMEIN>
		<OT6TIMEIN lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time In 6</DESC_ENG>
			<DESC_THAI>เวลาเข้า 6</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>4</SIZE>
				<ALT_THAI>เวลาเข้า 6</ALT_THAI>
				<ALT_ENG>Time In 6</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT6TIMEIN>
		<OT7TIMEIN lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time In 7</DESC_ENG>
			<DESC_THAI>เวลาเข้า 7</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาเข้า 7</ALT_THAI>
				<ALT_ENG>Time In 7</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT7TIMEIN>
		<OT8TIMEIN lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time In 8</DESC_ENG>
			<DESC_THAI>เวลาเข้า 8</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาเข้า 8</ALT_THAI>
				<ALT_ENG>Time In 8</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT8TIMEIN>
		<OT9TIMEIN lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time In 9</DESC_ENG>
			<DESC_THAI>เวลาเข้า 9</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาเข้า 9</ALT_THAI>
				<ALT_ENG>Time In 9</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT9TIMEIN>
		<OT10TIMEIN lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time In 10</DESC_ENG>
			<DESC_THAI>เวลาเข้า 10</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาเข้า 10</ALT_THAI>
				<ALT_ENG>Time In 10</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT10TIMEIN>
		<OT1TIMEOUT lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time Out 1</DESC_ENG>
			<DESC_THAI>เวลาออก 1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาออก 1</ALT_THAI>
				<ALT_ENG>Time Out 1</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT1TIMEOUT>
		<OT2TIMEOUT lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time Out 2</DESC_ENG>
			<DESC_THAI>เวลาออก 2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาออก 2</ALT_THAI>
				<ALT_ENG>Time Out 2</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT2TIMEOUT>
		<OT3TIMEOUT lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time Out 3</DESC_ENG>
			<DESC_THAI>เวลาออก 3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาออก 3</ALT_THAI>
				<ALT_ENG>Time Out 3</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT3TIMEOUT>
		<OT4TIMEOUT lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time Out 4</DESC_ENG>
			<DESC_THAI>เวลาออก 4</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาออก 4</ALT_THAI>
				<ALT_ENG>Time Out 4</ALT_ENG><DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT4TIMEOUT>
		<OT5TIMEOUT lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time Out 5</DESC_ENG>
			<DESC_THAI>เวลาออก 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาออก 5</ALT_THAI>
				<ALT_ENG>Time Out 5</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT5TIMEOUT>
		<OT6TIMEOUT lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time Out 6</DESC_ENG>
			<DESC_THAI>เวลาออก 6</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาออก 6</ALT_THAI>
				<ALT_ENG>Time Out 6</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT6TIMEOUT>
		<OT7TIMEOUT lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time Out 7</DESC_ENG>
			<DESC_THAI>เวลาออก 7</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาออก 7</ALT_THAI>
				<ALT_ENG>Time Out 7</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT7TIMEOUT>
		<OT8TIMEOUT lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time Out 8</DESC_ENG>
			<DESC_THAI>เวลาออก 8</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาออก 8</ALT_THAI>
				<ALT_ENG>Time Out 8</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT8TIMEOUT>
		<OT9TIMEOUT lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time Out 9</DESC_ENG>
			<DESC_THAI>เวลาออก 9</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาออก 9</ALT_THAI>
				<ALT_ENG>Time Out 9</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT9TIMEOUT>
		<OT10TIMEOUT lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time Out 10</DESC_ENG>
			<DESC_THAI>เวลาออก 10</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาออก 10</ALT_THAI>
				<ALT_ENG>Time Out 10</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT10TIMEOUT>
		<OT1TOTAL lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT Total 1</DESC_ENG>
			<DESC_THAI>OT รวม 1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT รวม 1</ALT_THAI>
				<ALT_ENG>OT Total 1</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT1TOTAL>
		<OT2TOTAL lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT Total 2</DESC_ENG>
			<DESC_THAI>OT รวม 2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT รวม 2</ALT_THAI>
				<ALT_ENG>OT Total 2</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT2TOTAL>
		<OT3TOTAL lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT Total 3</DESC_ENG>
			<DESC_THAI>OT รวม 3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT รวม 3</ALT_THAI>
				<ALT_ENG>OT Total 3</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT3TOTAL>
		<OT4TOTAL lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT Total 4</DESC_ENG>
			<DESC_THAI>OT รวม 4</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT รวม 4</ALT_THAI>
				<ALT_ENG>OT Total 4</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT4TOTAL>
		<OT5TOTAL lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT Total 5</DESC_ENG>
			<DESC_THAI>OT รวม 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT รวม 5</ALT_THAI>
				<ALT_ENG>OT Total 5</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT5TOTAL>
		<OT6TOTAL lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT Total 6</DESC_ENG>
			<DESC_THAI>OT รวม 6</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT รวม 6</ALT_THAI>
				<ALT_ENG>OT Total 6</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT6TOTAL>
		<OT7TOTAL lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT Total 7</DESC_ENG>
			<DESC_THAI>OT รวม 7</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT รวม 7</ALT_THAI>
				<ALT_ENG>OT Total 7</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT7TOTAL>
		<OT8TOTAL lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>4</WIDTH>
			<DESC_ENG>OT Total 8</DESC_ENG>
			<DESC_THAI>OT รวม 8</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT รวม 8</ALT_THAI>
				<ALT_ENG>OT Total 8</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT8TOTAL>
		<OT9TOTAL lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>4</WIDTH>
			<DESC_ENG>OT Total 9</DESC_ENG>
			<DESC_THAI>OT รวม 9</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT รวม 9</ALT_THAI>
				<ALT_ENG>OT Total 9</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT9TOTAL>
		<OT10TOTAL lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT Total 10</DESC_ENG>
			<DESC_THAI>OT รวม 10</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT รวม 10</ALT_THAI>
				<ALT_ENG>OT Total 10</ALT_ENG>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
		</OT10TOTAL>
		<OT1_1 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1 - 1</DESC_ENG>
			<DESC_THAI>OT1 เท่า - 1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1 เท่า - 1</ALT_THAI>
				<ALT_ENG>OT1 - 1</ALT_ENG>
			</COMPONENT>
		</OT1_1>
		<OT2_1 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1 - 2</DESC_ENG>
			<DESC_THAI>OT1 เท่า - 2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1 เท่า - 2</ALT_THAI>
				<ALT_ENG>OT1 - 2</ALT_ENG>
			</COMPONENT>
		</OT2_1>
		<OT3_1 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1 - 3</DESC_ENG>
			<DESC_THAI>OT1 เท่า - 3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1 เท่า - 3</ALT_THAI>
				<ALT_ENG>OT1 - 3</ALT_ENG>
			</COMPONENT>
		</OT3_1>
		<OT4_1 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1 - 4</DESC_ENG>
			<DESC_THAI>OT1 เท่า - 4</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1 เท่า - 4</ALT_THAI>
				<ALT_ENG>OT1 - 4</ALT_ENG>
			</COMPONENT>
		</OT4_1>
		<OT5_1 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1 - 5</DESC_ENG>
			<DESC_THAI>OT1 เท่า - 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1 เท่า - 5</ALT_THAI>
				<ALT_ENG>OT1 - 5</ALT_ENG>
			</COMPONENT>
		</OT5_1>
		<OT6_1 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1 - 6</DESC_ENG>
			<DESC_THAI>OT1 เท่า - 6</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1 เท่า - 6</ALT_THAI>
				<ALT_ENG>OT1 - 6</ALT_ENG>
			</COMPONENT>
		</OT6_1>
		<OT7_1 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1 - 7</DESC_ENG>
			<DESC_THAI>OT1 เท่า - 7</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1 เท่า - 7</ALT_THAI>
				<ALT_ENG>OT1 - 7</ALT_ENG>
			</COMPONENT>
		</OT7_1>
		<OT8_1 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1 - 8</DESC_ENG>
			<DESC_THAI>OT1 เท่า - 8</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1 เท่า - 8</ALT_THAI>
				<ALT_ENG>OT1 - 8</ALT_ENG>
			</COMPONENT>
		</OT8_1>
		<OT9_1 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1 - 9</DESC_ENG>
			<DESC_THAI>OT1 เท่า - 9</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1 เท่า - 9</ALT_THAI>
				<ALT_ENG>OT1 - 9</ALT_ENG>
			</COMPONENT>
		</OT9_1>
		<OT10_1 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1 - 10</DESC_ENG>
			<DESC_THAI>OT1 เท่า - 10</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1 เท่า - 10</ALT_THAI>
				<ALT_ENG>OT1 - 10</ALT_ENG>
			</COMPONENT>
		</OT10_1>
		<OT1_2 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT2 - 1</DESC_ENG>
			<DESC_THAI>OT2 เท่า - 1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT2 เท่า - 1</ALT_THAI>
				<ALT_ENG>OT2 - 1</ALT_ENG>
			</COMPONENT>
		</OT1_2>
		<OT2_2 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT2 - 2</DESC_ENG>
			<DESC_THAI>OT2 เท่า - 2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT2 เท่า - 2</ALT_THAI>
				<ALT_ENG>OT2 - 2</ALT_ENG>
			</COMPONENT>
		</OT2_2>
		<OT3_2 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT2 - 3</DESC_ENG>
			<DESC_THAI>OT2 เท่า - 3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT2 เท่า - 3</ALT_THAI>
				<ALT_ENG>OT2 - 3</ALT_ENG>
			</COMPONENT>
		</OT3_2>
		<OT4_2 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT2 - 4</DESC_ENG>
			<DESC_THAI>OT2 เท่า - 4</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT2 เท่า - 4</ALT_THAI>
				<ALT_ENG>OT2 - 4</ALT_ENG>
			</COMPONENT>
		</OT4_2>
		<OT5_2 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT2 - 5</DESC_ENG>
			<DESC_THAI>OT2 เท่า - 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT2 เท่า - 5</ALT_THAI>
				<ALT_ENG>OT2 - 5</ALT_ENG>
			</COMPONENT>
		</OT5_2>
		<OT6_2 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT2 - 6</DESC_ENG>
			<DESC_THAI>OT2 เท่า - 6</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT2 เท่า - 6</ALT_THAI>
				<ALT_ENG>OT2 - 6</ALT_ENG>
			</COMPONENT>
		</OT6_2>
		<OT7_2 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT2 - 7</DESC_ENG>
			<DESC_THAI>OT2 เท่า - 7</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT2 เท่า - 7</ALT_THAI>
				<ALT_ENG>OT2 - 7</ALT_ENG>
			</COMPONENT>
		</OT7_2>
		<OT8_2 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT2 - 8</DESC_ENG>
			<DESC_THAI>OT2 เท่า - 8</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT2 เท่า - 8</ALT_THAI>
				<ALT_ENG>OT2 - 8</ALT_ENG>
			</COMPONENT>
		</OT8_2>
		<OT9_2 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT2 - 9</DESC_ENG>
			<DESC_THAI>OT2 เท่า - 9</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT2 เท่า - 9</ALT_THAI>
				<ALT_ENG>OT2 - 9</ALT_ENG>
			</COMPONENT>
		</OT9_2>
		<OT10_2 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT2 - 10</DESC_ENG>
			<DESC_THAI>OT2 เท่า - 10</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT2 เท่า - 10</ALT_THAI>
				<ALT_ENG>OT2 - 10</ALT_ENG>
			</COMPONENT>
		</OT10_2>
		<OT1_3 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT3 - 1</DESC_ENG>
			<DESC_THAI>OT3 เท่า - 1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT3 เท่า - 1</ALT_THAI>
				<ALT_ENG>OT3 - 1</ALT_ENG>
			</COMPONENT>
		</OT1_3>
		<OT2_3 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT3 - 2</DESC_ENG>
			<DESC_THAI>OT3 เท่า - 2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT3 เท่า - 2</ALT_THAI>
				<ALT_ENG>OT3 - 2</ALT_ENG>
			</COMPONENT>
		</OT2_3>
		<OT3_3 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT3 - 3</DESC_ENG>
			<DESC_THAI>OT3 เท่า - 3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT3 เท่า - 3</ALT_THAI>
				<ALT_ENG>OT3 - 3</ALT_ENG>
			</COMPONENT>
		</OT3_3>
		<OT4_3 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT3 - 4</DESC_ENG>
			<DESC_THAI>OT3 เท่า - 4</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT3 เท่า - 4</ALT_THAI>
				<ALT_ENG>OT3 - 4</ALT_ENG>
			</COMPONENT>
		</OT4_3>
		<OT5_3 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT3 - 5</DESC_ENG>
			<DESC_THAI>OT3 เท่า - 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT3 เท่า - 5</ALT_THAI>
				<ALT_ENG>OT3 - 5</ALT_ENG>
			</COMPONENT>
		</OT5_3>
		<OT6_3 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT3 - 6</DESC_ENG>
			<DESC_THAI>OT3 เท่า - 6</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT3 เท่า - 6</ALT_THAI>
				<ALT_ENG>OT3 - 6</ALT_ENG>
			</COMPONENT>
		</OT6_3>
		<OT7_3 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT3 - 7</DESC_ENG>
			<DESC_THAI>OT3 เท่า - 7</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT3 เท่า - 7</ALT_THAI>
				<ALT_ENG>OT3 - 7</ALT_ENG>
			</COMPONENT>
		</OT7_3>
		<OT8_3 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT3 - 8</DESC_ENG>
			<DESC_THAI>OT3 เท่า - 8</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT3 เท่า - 8</ALT_THAI>
				<ALT_ENG>OT3 - 8</ALT_ENG>
			</COMPONENT>
		</OT8_3>
		<OT9_3 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT3 - 9</DESC_ENG>
			<DESC_THAI>OT3 เท่า - 9</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT3 เท่า - 9</ALT_THAI>
				<ALT_ENG>OT3 - 9</ALT_ENG>
			</COMPONENT>
		</OT9_3>
		<OT10_3 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT3 - 10</DESC_ENG>
			<DESC_THAI>OT3 เท่า - 10</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT3 เท่า - 10</ALT_THAI>
				<ALT_ENG>OT3 - 10</ALT_ENG>
			</COMPONENT>
		</OT10_3>
		<OT1_15 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1.5 - 1</DESC_ENG>
			<DESC_THAI>OT1.5 เท่า - 1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1.5 เท่า - 1</ALT_THAI>
				<ALT_ENG>OT1.5 - 1</ALT_ENG>
			</COMPONENT>
		</OT1_15>
		<OT2_15 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1.5 - 2</DESC_ENG>
			<DESC_THAI>OT1.5 เท่า - 2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1.5 เท่า - 2</ALT_THAI>
				<ALT_ENG>OT1.5 - 2</ALT_ENG>
			</COMPONENT>
		</OT2_15>
		<OT3_15 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1.5 - 3</DESC_ENG>
			<DESC_THAI>OT1.5 เท่า - 3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1.5 เท่า - 3</ALT_THAI>
				<ALT_ENG>OT1.5 - 3</ALT_ENG>
			</COMPONENT>
		</OT3_15>
		<OT4_15 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1.5 - 4</DESC_ENG>
			<DESC_THAI>OT1.5 เท่า - 4</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1.5 เท่า - 4</ALT_THAI>
				<ALT_ENG>OT1.5 - 4</ALT_ENG>
			</COMPONENT>
		</OT4_15>
		<OT5_15 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1.5 - 5</DESC_ENG>
			<DESC_THAI>OT1.5 เท่า - 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1.5 เท่า - 5</ALT_THAI>
				<ALT_ENG>OT1.5 - 5</ALT_ENG>
			</COMPONENT>
		</OT5_15>
		<OT6_15 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1.5 - 6</DESC_ENG>
			<DESC_THAI>OT1.5 เท่า - 6</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1.5 เท่า - 6</ALT_THAI>
				<ALT_ENG>OT1.5 - 6</ALT_ENG>
			</COMPONENT>
		</OT6_15>
		<OT7_15 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1.5 - 7</DESC_ENG>
			<DESC_THAI>OT1.5 เท่า - 7</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1.5 เท่า - 7</ALT_THAI>
				<ALT_ENG>OT1.5 - 7</ALT_ENG>
			</COMPONENT>
		</OT7_15>
		<OT8_15 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1.5 - 8</DESC_ENG>
			<DESC_THAI>OT1.5 เท่า - 8</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1.5 เท่า - 8</ALT_THAI>
				<ALT_ENG>OT1.5 - 8</ALT_ENG>
			</COMPONENT>
		</OT8_15>
		<OT9_15 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1.5 - 9</DESC_ENG>
			<DESC_THAI>OT1.5 เท่า - 9</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1.5 เท่า - 9</ALT_THAI>
				<ALT_ENG>OT1.5 - 9</ALT_ENG>
			</COMPONENT>
		</OT9_15>
		<OT10_15 lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT1.5 - 10</DESC_ENG>
			<DESC_THAI>OT1.5 เท่า - 10</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>OT1.5 เท่า - 10</ALT_THAI>
				<ALT_ENG>OT1.5 - 10</ALT_ENG>
			</COMPONENT>
		</OT10_15>
		<REMARK lang="A" encrypt="false" log="false" type="String">
			<WIDTH>250</WIDTH>
			<DESC_ENG>Remark</DESC_ENG>
			<DESC_THAI>หมายเหตุ</DESC_THAI>
			<COMPONENT type="textarea">
				<SIZECHAR>50</SIZECHAR>
				<LINES>4</LINES>
				<ALT_THAI>หมายเหตุ</ALT_THAI>
				<ALT_ENG>Remark</ALT_ENG>
				<ONKEYPRESS>lockTextareaChar(this, 200);</ONKEYPRESS>
			</COMPONENT>
		</REMARK>
		<STATUS lang="A" encrypt="false" log="false" type="String">
			<WIDTH>2</WIDTH>
			<DESC_ENG>Status</DESC_ENG>
			<DESC_THAI>สถานะ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>2</MAXSIZE>
				<SIZE>2</SIZE>
				<ALT_THAI>สถานะ</ALT_THAI>
				<ALT_ENG>Status</ALT_ENG>
			</COMPONENT>
		</STATUS>
		<BU1 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU1</RELATION>
			<DESC_ENG>Business Unit 1</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 1</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 1</ALT_THAI>
			</COMPONENT>
		</BU1>
		<BU2 lang="A" encrypt="false" log="false" type="String">
			<RELATION>MBU2</RELATION>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Business Unit 2</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 2</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 2</ALT_THAI>
			</COMPONENT>
		</BU2>
		<BU3 lang="A" encrypt="false" log="false" type="String">
			<RELATION>MBU3</RELATION>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Business Unit 3</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 3</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 3</ALT_THAI>
			</COMPONENT>
		</BU3>
		<BU4 lang="A" encrypt="false" log="false" type="String">
			<RELATION>MBU4</RELATION>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Business Unit 4</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 4</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 4</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 4</ALT_THAI>
			</COMPONENT>
		</BU4>
		<BU5 lang="A" encrypt="false" log="false" type="String">
			<RELATION>MBU5</RELATION>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Business Unit 5</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 5</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 5</ALT_THAI>
			</COMPONENT>
		</BU5>
		<BRANCH lang="A" encrypt="false" log="false" type="String">
			<RELATION>MBRANCH</RELATION>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company</DESC_ENG>
			<DESC_THAI>บริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Company</ALT_ENG>
				<ALT_THAI>บริษัท</ALT_THAI>
			</COMPONENT>
		</BRANCH>
		<EMP_GROUP lang="A" encrypt="false" log="false" type="String">
			<RELATION>MGROUP</RELATION>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Employee Group</DESC_ENG>
			<DESC_THAI>กลุ่มพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Employee Group</ALT_ENG>
				<ALT_THAI>กลุ่มพนักงาน</ALT_THAI>
			</COMPONENT>
		</EMP_GROUP>
		<EMP_POSITION lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Position</DESC_ENG>
			<DESC_THAI>ตำแหน่ง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Position</ALT_ENG>
				<ALT_THAI>ตำแหน่ง</ALT_THAI>
			</COMPONENT>
		</EMP_POSITION>
		<SALATYPE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Salary Type</DESC_ENG>
			<RELATION>MSALATYPE0</RELATION>
			<DESC_THAI>ระยะเวลาการจ่ายเงินเดือน</DESC_THAI>
			<COMPONENT type="Text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Salary Type</ALT_ENG>
				<ALT_THAI>ระยะเวลาการจ่ายเงินเดือน</ALT_THAI>
			</COMPONENT>
		</SALATYPE>
		<WORKAREA lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Workinq Area</DESC_ENG>
			<DESC_THAI>สถานที่ทำงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Workinq Area</ALT_ENG>
				<ALT_THAI>สถานที่ทำงาน</ALT_THAI>
			</COMPONENT>
		</WORKAREA>
		<BOSSID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<DESC_ENG>Boss ID</DESC_ENG>
			<DESC_THAI>รหัสหัวหน้า</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Boss ID</ALT_ENG>
				<ALT_THAI>รหัสหัวหน้า</ALT_THAI>
			</COMPONENT>
		</BOSSID>
<WF_STATUS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Work Flow</DESC_ENG>
			<DESC_THAI>Work Flow</DESC_THAI>
			<VALIDCODE>YES</VALIDCODE>
			<COMPONENT type="text">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_THAI>Work Flow</ALT_THAI>
				<ALT_ENG>Work Flow</ALT_ENG>
			</COMPONENT>
		</WF_STATUS>
		<EMPLOYEEID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<DESC_ENG>Employee ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>รหัสพนักงาน</ALT_THAI>
				<ALT_ENG>Employee ID</ALT_ENG>
			</COMPONENT>
		<RELATION>MEMPLOYEE</RELATION>
		<REQUIRE>true</REQUIRE>
		</EMPLOYEEID>
		</FIELD>
	<RELATION>
		<TFORGETCARD1 deletelevel="1">
			<PARENT>TOTAPPROVE_NSTDA.FSCARDID</PARENT>
			<PARENT>TOTAPPROVE_NSTDA.COMPANYID</PARENT>
			<CHILD>TFORGETCARD1.FSCARDID</CHILD>
			<CHILD>TFORGETCARD1.COMPANYID</CHILD>
		</TFORGETCARD1>
	</RELATION>
</TOTAPPROVE_NSTDA>
